# $Revision: 1.216 $, $Date: 2011/10/08 22:28:37 $
#
# Conditional build:
%bcond_without	compface	# without compface support
%bcond_without	gpg		# without GnuPG support
%bcond_without	gtkspell	# without gtkspell support
%bcond_without	ipv6		# without IPv6 support
%bcond_without	jpilot		# without JPilot support
%bcond_without	ldap		# without LDAP support
%bcond_without	ssl		# without SSL support
%bcond_with	oniguruma	# with oniguruma support
#
Summary:	GTK+ based fast e-mail client
Summary(pl.UTF-8):	Szybki klient poczty bazujący na GTK+
Summary(pt_BR.UTF-8):	Um rápido e leve cliente de email baseado em GTK+
Name:		sylpheed
Version:	3.1.2
Release:	1
License:	GPL v2+
Group:		X11/Applications/Networking
Source0:	http://sylpheed.sraoss.jp/sylpheed/v3.1/%{name}-%{version}.tar.bz2
# Source0-md5:	17100ab8ef5ef7e431bdbcff68bbf7b4
Patch0:		%{name}-nolibs.patch
URL:		http://sylpheed.sraoss.jp/en/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%{?with_compface:BuildRequires:	compface-devel}
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
%{?with_gpg:BuildRequires:	gpgme-devel >= 1:0.4.5}
BuildRequires:	gtk+2-devel >= 2:2.4.0
%{?with_gtkspell:BuildRequires:	gtkspell-devel}
BuildRequires:	libassuan-devel
BuildRequires:	libtool
%{?with_ldap:BuildRequires:	openldap-devel >= 2.4.6}
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.8b}
BuildRequires:	perl-base
%{?with_jpilot:BuildRequires:	pilot-link-devel}
BuildRequires:	pkgconfig
Requires:	mailcap
%{?with_jpilot:Requires:	pilot-link}
Obsoletes:	sylpheed-gtk2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program is an X based fast e-mail client which has features (or
go for it :-)) like:
- user-friendly and intuitive interface
- integrated NetNews client (partially implemented)
- ability of keyboard-only operation
- Mew/Wanderlust-like key bind
- multipart MIME
- unlimited multiple account handling
- assortment function
- address book
- SSL support

%description -l pl.UTF-8
Szybki klient poczty o możliwościach takich jak:
- przyjazny, intuicyjny interfejs użytkownika
- zintegrowany klient USENET
- możliwość pracy wyłącznie przy użyciu klawiatury
- klawiszologia typu Mew/Wanderlust
- obsługa wieloczęściowych MIME
- obsługa dowolnej ilości kont pocztowych
- funkcje sortowania5- książka adresowa
- wsparcie szyfrowania SSL

%description -l pt_BR.UTF-8
Este programa é um rápido cliente de email modo gráfico o qual possui
recursos como:
- interface gráfica intuitiva e amigável
- cliente integrado de notícias (parcialmente implementado)
- habilitado para operacão a partir do teclado
- Mew/Wanderlust-like key bind
- multipart MIME
- controle de múltiplas contas de email (sem limite)
- armazenamento de mensagens
- funcão de ordenacão/classificacão de mensagens
- catálogo de enderecos XML-based

%prep
%setup -q
%patch0 -p1

mv -f po/{sr,sr@latin}.po

%{__perl} -pi -e 's/ sr / sr\@latin /' configure.in

%build
%{__libtoolize}
%{__aclocal} -I ac
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--%{?with_compface:en}%{!?with_compface:dis}able-compface \
	--%{?with_gpg:en}%{!?with_gpg:dis}able-gpgme \
	--%{?with_gtkspell:en}%{!?with_gtkspell}able-gtkspell \
	--%{?with_ipv6:en}%{!?with_ipv6:dis}able-ipv6 \
	--%{?with_jpilot:en}%{!?with_jpilot:dis}able-jpilot \
	--%{?with_ldap:en}%{!?with_ldap:dis}able-ldap \
	--%{?with_oniguruma:en}%{!?with_oniguruma:dis}able-oniguruma \
	--%{?with_ssl:en}%{!?with_ssl:dis}able-ssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}
install %{name}.png $RPM_BUILD_ROOT%{_pixmapsdir}

find $RPM_BUILD_ROOT '(' -name '*.a' -o -name '*.la' -o -name '*.h' -o -name '*-test' ')' -print0 | xargs -0 %{__rm}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/manual
%{_datadir}/%{name}/manual/en
%lang(ja) %{_datadir}/%{name}/manual/ja
%dir %{_datadir}/%{name}/faq
%{_datadir}/%{name}/faq/en
%lang(de) %{_datadir}/%{name}/faq/de
%lang(es) %{_datadir}/%{name}/faq/es
%lang(fr) %{_datadir}/%{name}/faq/fr
%lang(it) %{_datadir}/%{name}/faq/it
%{_desktopdir}/sylpheed.desktop
%attr(755,root,root) %{_libdir}/libsylph-0.so.1
%attr(755,root,root) %{_libdir}/libsylph-0.so.*.*.*
%attr(755,root,root) %{_libdir}/libsylpheed-plugin-0.so.1
%attr(755,root,root) %{_libdir}/libsylpheed-plugin-0.so.*.*.*
%{_pixmapsdir}/sylpheed.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sylpheed.spec,v $
Revision 1.216  2011/10/08 22:28:37  lmasko
- Up to 3.1.2.

Revision 1.215  2011/05/07 16:01:54  lisu
- up to 3.1.1

Revision 1.214  2011/02/14 13:13:24  lisu
- up to final 3.1.0 (merged with DEVEL)

Revision 1.213  2010/07/12 14:47:08  lisu
- up to 3.0.3
- rm some useless devel files

Revision 1.212.2.6  2011/01/19 09:05:41  lisu
- - 3.1.0beta7

Revision 1.212.2.5  2011/01/05 09:53:46  lisu
- 3.1.0beta6

Revision 1.212.2.4  2010/12/10 11:01:59  lisu
- 3.1.0beta5

Revision 1.212.2.3  2010/08/31 10:59:40  lisu
- 3.1.0beta3

Revision 1.212.2.2  2010/07/21 13:00:42  lisu
- 3.1.0beta2

Revision 1.212.2.1  2010/06/16 20:51:42  lisu
- updated to 3.1.0beta1
- BR: perl-base

Revision 1.212  2010/04/12 19:30:49  arekm
- release 2

Revision 1.211  2010/04/02 12:30:10  lisu
- 3.0.2

Revision 1.210  2010/03/16 14:27:32  lisu
- 3.0.1

Revision 1.209  2010/03/11 09:50:44  lisu
- up to final 3.0.0
- merge with DEVEL

Revision 1.208.2.7  2010/02/23 17:07:13  sparky
- BR: dbus-glib-devel

Revision 1.208.2.6  2010/02/23 13:23:21  lisu
- up to 3.0rc

Revision 1.208.2.5  2010/02/10 15:52:54  lisu
- up to 3.0beta7

Revision 1.208.2.4  2010/01/28 11:44:10  lisu
- up to 3.0beta6

Revision 1.208.2.3  2009/12/02 09:56:15  lisu
- up to 3.0beta3
- adapter

Revision 1.208.2.2  2009/11/19 12:20:22  lisu
- up to 3.0.0beta2

Revision 1.208.2.1  2009/11/03 13:16:21  lisu
- up to 3.0.0beta1

Revision 1.208  2009/08/19 11:35:51  lisu
- 2.7.1

Revision 1.207  2009/08/05 12:27:47  lisu
- up to 2.7.0
- add oniguruma bcond
- include some shared libraries needed by sylpheed to run
- TODO

Revision 1.206  2008/12/19 09:47:07  lisu
- up to final 2.6.0
- merge with DEVEL
- glibc.patch is no longer needed
- gtk problem fixed by authors

Revision 1.205.2.3  2008/12/03 08:58:46  lisu
- 2.6.0rc
- fix problem with redeclaration of SOCK_NONBLOCK previously declared in glibc's socket.h (glibc.patch
- URL set to english website

Revision 1.205.2.2  2008/11/25 13:11:42  lisu
- proper revision

Revision 1.205.2.1  2008/11/25 13:10:31  lisu
- up to 2.6.0beta2
- fix gtk problem

Revision 1.205  2008/06/19 14:35:34  adamg
- updated to 2.5.0

Revision 1.204  2007-12-25 20:56:13  lisu
- up to 2.4.8

Revision 1.203  2007-11-10 16:42:52  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.202  2007/11/03 02:10:04  baggins
- updated openldap BR/R to 2.4.6

Revision 1.201  2007/10/08 20:01:58  lisu
- 2.4.7

Revision 1.200  2007/09/19 18:11:17  lisu
- 2.4.6

Revision 1.199  2007/09/01 13:59:28  adamg
- updated to 2.4.5 (CVE-2007-2958)

Revision 1.198  2007/07/23 08:54:12  lisu
- 2.4.4
- STBR

Revision 1.197  2007/07/03 06:12:51  lisu
- 2.4.3

Revision 1.196  2007/06/20 15:56:29  megabajt
- now claws-mail and sylpheed can be installed together
- release 2

Revision 1.195  2007/06/15 20:54:02  megabajt
- updated to 2.4.2

Revision 1.194  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.193  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.192  2007/01/16 22:49:32  lisu
- 2.3.1

Revision 1.191  2006/12/24 09:17:11  dzeus
- up to 2.3.0

Revision 1.190  2006/12/20 17:20:46  dzeus
- up to 2.3.0rc

Revision 1.189  2006/12/15 18:39:59  dzeus
- up to 2.3.0beta7

Revision 1.188  2006/12/09 22:54:19  dzeus
- up to 2.3.0 beta6

Revision 1.187  2006/11/10 21:49:44  dzeus
- up to 2.3.0beta5

Revision 1.186  2006/10/31 16:21:14  lisu
- 2.3.0beta4

Revision 1.185  2006/10/19 19:42:44  dzeus
- new project url

Revision 1.184  2006/09/30 20:36:19  megabajt
- up to 2.2.9

Revision 1.183  2006/09/23 14:36:36  dzeus
- up to 2.2.8

Revision 1.182  2006/08/07 20:00:52  freetz
- rel.2

Revision 1.181  2006/07/31 15:33:04  jackass
- up to 2.2.7

Revision 1.180  2006/06/10 19:20:19  freetz
- 2.2.6

Revision 1.179  2006/06/01 05:50:20  freetz
- 2.2.5

Revision 1.178  2006/03/29 15:57:16  freetz
- 2.2.4

Revision 1.177  2006/03/14 07:03:30  freetz
- 2.2.3

Revision 1.176  2006/03/03 07:52:12  freetz
- 2.2.2

Revision 1.175  2006/02/27 21:01:34  freetz
- 2.2.1

Revision 1.174  2006/02/13 15:59:28  freetz
- merged to HEAD and updated to 2.2.0

Revision 1.167.2.22  2006/02/09 14:01:47  freetz
- 2.2.0rc

Revision 1.167.2.21  2006/02/06 22:02:10  freetz
- 2.2.0beta8

Revision 1.167.2.20  2006/02/01 15:56:59  freetz
- 2.2.0beta7, use compface instead of faces cruft

Revision 1.167.2.19  2006/01/25 15:02:07  freetz
- 2.2.0beta6

Revision 1.167.2.18  2006/01/20 07:34:30  freetz
- 2.2.0beta5

Revision 1.167.2.17  2006/01/13 15:09:10  freetz
- 2.2.0beta4

Revision 1.167.2.16  2006/01/11 16:38:46  freetz
- 2.2.0beta3

Revision 1.167.2.15  2005/12/27 16:18:16  freetz
- 2.2.0beta2

Revision 1.167.2.14  2005/12/22 18:08:53  freetz
- 2.2.0beta1

Revision 1.167.2.13  2005/12/14 10:10:03  freetz
- 2.1.9

Revision 1.167.2.12  2005/11/30 12:28:36  freetz
- 2.1.8

Revision 1.167.2.11  2005/11/28 19:16:17  freetz
- 2.1.8pre1 (major code modification for sending and receiving is in
  progress)

Revision 1.167.2.10  2005/11/18 14:09:01  freetz
- 2.1.7, gtkspell support, fixed configure options

Revision 1.167.2.9  2005/11/08 12:06:37  freetz
- 2.1.6

Revision 1.167.2.8  2005/10/30 10:57:48  dzeus
- up to 2.1.5
- zh_TW.Big5 to zh_TW & patch2 included in source

Revision 1.167.2.7  2005/10/23 13:17:25  freetz
- gtk dnd fixed, rel.2

Revision 1.167.2.6  2005/10/19 08:21:07  freetz
- 2.1.4

Revision 1.167.2.5  2005/09/29 09:50:28  freetz
- 2.1.3

Revision 1.167.2.4  2005/09/15 12:28:50  freetz
- 2.1.2

Revision 1.167.2.3  2005/08/23 15:07:26  paladine
- updated to 2.1.1

Revision 1.167.2.2  2005/08/23 14:35:15  paladine
- updated to 2.1.1

Revision 1.167.2.1  2005/08/14 18:31:50  freetz
- starting developement on 2.1.x unstable series

Revision 1.173  2006/01/17 15:47:50  baggins
- release 2
- BR openldap 2.3

Revision 1.172  2005/11/08 08:46:47  freetz
- security fix release 2.0.4

Revision 1.171  2005/10/19 14:54:09  freetz
- reverted upgrade to 2.1.4 (belongs to DEVEL branch for now), and upgraded
  to 2.0.3

Revision 1.170  2005/10/19 10:08:39  speedo
- updated to 2.1.4

Revision 1.169  2005/10/01 10:50:35  pawcioos
- updated to 2.0.2

Revision 1.168  2005/08/27 13:58:43  dzeus
- up to 2.0.1

Revision 1.167  2005/07/28 22:11:33  freetz
- 2.0.0

Revision 1.166  2005/07/22 11:50:24  freetz
- 2.0.0rc

Revision 1.165  2005/07/14 16:39:23  freetz
- 2.0.0beta6

Revision 1.164  2005/07/08 13:56:45  freetz
- 2.0.0beta5

Revision 1.163  2005/07/04 09:42:26  freetz
- 2.0.0beta4

Revision 1.162  2005/06/23 15:48:51  freetz
- 2.0.0beta3

Revision 1.161  2005/06/16 17:53:53  freetz
- sorted bconds/BRs

Revision 1.160  2005/06/16 17:31:52  freetz
- merged from DEVEL

Revision 1.120.2.17  2005/06/16 09:55:33  freetz
- 2.0.0beta2 - will be moved to HEAD shortly

Revision 1.120.2.16  2005/06/09 13:22:26  freetz
- 2.0.0beta1

Revision 1.120.2.15  2005/06/01 11:05:29  dzeus
- up to 1.9.12, BR: pkgconfig

Revision 1.120.2.14  2005/05/29 17:22:12  paladine
- missing BR: gettext-devel

Revision 1.120.2.13  2005/05/17 13:53:38  freetz
- 0.9.11

Revision 1.120.2.12  2005/05/13 14:22:25  freetz
- release down to 0.1, opening same folder as with 1.9.9 is two times
  slower (propably due new GtkTreeView implementation)

Revision 1.120.2.11  2005/05/13 14:10:23  freetz
- 1.9.10, rel.1

Revision 1.120.2.10  2005/04/20 20:29:06  dzeus
- up to 1.9.9

Revision 1.120.2.9  2005/04/10 16:38:04  dzeus
- removed obsolete save_all.patch

Revision 1.120.2.8  2005/03/30 09:19:43  freetz
- restored changelog

Revision 1.120.2.7  2005/03/30 09:12:13  freetz
- removed obsoleted configure options, faces isn't required

Revision 1.120.2.6  2005/03/30 08:58:04  freetz
 - 1.9.7, cleaned up, corrected BRs, it should even build now...

Revision 1.120.2.5  2005/03/16 08:48:56  dzeus
- up to 1.9.6

Revision 1.120.2.4  2005/03/11 06:10:48  dzeus
- up to 1.9.5

Revision 1.120.2.3  2005/03/06 11:51:49  dzeus
- up to 1.9.4 NFY

Revision 1.159  2005/03/24 20:23:48  paszczus
- updated to 1.0.4

Revision 1.158  2005/03/04 18:15:14  dzeus
- up to 1.0.3

Revision 1.157  2005/03/01 13:40:53  dzeus
- up to 1.0.2

Revision 1.156  2005/02/12 10:02:43  dzeus
- upss, gpgme >= 0.4.5

Revision 1.155  2005/02/12 09:27:51  dzeus
- up to 1.0.1, corrected Source0 URL, STBR

Revision 1.154  2005/01/09 11:50:39  havner
- rel up

Revision 1.153  2005/01/09 11:47:53  havner
- epochs

Revision 1.152  2005/01/09 11:43:44  havner
- rel 2

Revision 1.151  2004/12/24 09:55:14  adamg
- updated to 1.0.0

Revision 1.150  2004/12/17 12:19:35  dzeus
- BR: imlib-devel

Revision 1.149  2004/12/17 10:04:58  adamg
- updated to 1.0.0rc

Revision 1.148  2004/12/04 09:55:03  dzeus
- up to 1.0.0beta4
- removed unused patch

Revision 1.147  2004/11/23 10:52:05  paladine
- rel .2 for fixed desktop patch

Revision 1.146  2004/11/19 23:22:26  dzeus
- more cosmetics :)

Revision 1.145  2004/11/19 23:11:35  dzeus
- enable jpilot support
- fixed compface bcond
- cosmetics

Revision 1.144  2004/11/17 20:39:15  dzeus
- up to 1.0.0beta3

Revision 1.143  2004/11/01 12:26:34  deejay1
- more proper beta suffix handling

Revision 1.142  2004/10/30 09:26:41  dzeus
- up to 1.0.0beta1

Revision 1.141  2004/10/07 21:49:56  dzeus
- cosmetics, removed ac_fixes.patch
- gpg/gdk-pixbuf is working now, rel. 2 STBR

Revision 1.140  2004/10/07 13:28:50  krolik
- up to 0.9.99, rel 1

Revision 1.139  2004/08/28 13:11:48  dzeus
- rel. 2 STBR

Revision 1.138  2004/08/28 08:21:10  dzeus
- added common-smtp-server.patch

Revision 1.137  2004/06/17 12:25:15  paszczus
- updated to 0.9.12

Revision 1.136  2004/06/07 18:50:44  blues
- release 2

Revision 1.135  2004/05/30 18:03:39  freetz
- added Obsoletes for gtk2 version
- incidentally upgraded to 0.9.11

Revision 1.134  2004/04/05 15:08:17  deejay1
- rel 5 to rebuild with openLDAP (aka STBR release)

Revision 1.133  2004/03/26 13:36:22  blues
- release 4 ( rel 3 is in RA)

Revision 1.132  2004/03/19 23:46:38  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.131  2004/03/17 21:12:28  deejay1
- rel. 2 to rebuild with new openLDAP

Revision 1.130  2004/03/08 02:07:19  adgor
- Removed bogus conflict

Revision 1.129  2004/03/02 09:34:26  deejay1
- updated to 0.9.10; gpg/gdk-pixbuf still not working

Revision 1.128  2004/02/08 07:15:56  misi3k
- updated to 0.9.9

Revision 1.127  2004/02/01 10:47:13  qboosh
- removed acinclude breakage from ac_fixes patch, add -I to aclocal instead
- added nolibs patch
- removed libjconv stuff, obsolete since long time (iconv is used now)
- standardize locale dir names (sr->sr@Latn, zh_TW.Big5->zh_TW)
- release 1

Revision 1.126  2003/12/18 15:41:12  deejay1
- rel down - the sylpheed-ac_fixes.patch breaks too many things instead
  of fixing them
- typo

Revision 1.125  2003/12/18 09:10:55  qboosh
- it should be _Build_Conflicts

Revision 1.124  2003/12/18 09:05:47  deejay1
- new bcond:when built without gpg there's no need for Conflicts with gpgme

Revision 1.123  2003/12/17 06:49:46  erjot
- in 0.9.8 ipv6 is enabled by default

Revision 1.122  2003/12/16 21:00:48  adamg
- updated to 0.9.8a

Revision 1.121  2003/12/12 20:56:27  adamg
- updated to 0.9.8

Revision 1.120  2003/12/11 17:55:53  freetz
- removed gtk+2 stuff (moving it to seperate branch)
- new style bconds, rel.3

Revision 1.119  2003/10/17 14:47:33  erjot
- 0.9.7
- gtk2 patch not work

Revision 1.118  2003/09/30 20:18:35  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.117  2003/09/30 09:49:36  qboosh
- License is GPL v2 or any later version

Revision 1.116  2003/09/17 14:34:28  misi3k
- updated to 0.9.6

Revision 1.115  2003/09/14 11:48:06  blues
- release 2

Revision 1.114  2003/09/14 10:59:48  blues
- cosmetics

Revision 1.113  2003/09/12 12:03:06  erjot
- fix License

Revision 1.112  2003/09/12 10:04:15  freetz
- sylpheed-gtk2 project moved to SF
- defined snap date, updated patch description
- works good

Revision 1.111  2003/09/04 14:01:59  ankry
- md5

Revision 1.110  2003/09/03 20:08:31  erjot
- up to 0.9.5

Revision 1.109  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.108  2003/08/11 13:48:19  grzegol
- reverted last changes (made by mistake)

Revision 1.106  2003/08/02 17:20:26  erjot
- rel up, gtk2 works

Revision 1.105  2003/07/25 13:04:19  erjot
- up to 0.9.4
- release 1 but gtk2 still not work

Revision 1.104  2003/07/06 12:19:08  misi3k
- rel 0.1
- updated to 0.9.3
  Note: gtk+2 not tested

Revision 1.103  2003/07/04 14:51:31  freetz
- fixed *.po convertion

Revision 1.102  2003/07/04 14:44:42  freetz
- small patch comment

Revision 1.101  2003/07/04 14:36:45  freetz
- small patch comment

Revision 1.100  2003/07/04 14:29:53  freetz
- added gtk2 gui patch
- bcond _with_gtk2

Revision 1.99  2003/06/06 10:25:26  misi3k
- updated to 0.9.2

Revision 1.98  2003/05/29 19:54:58  erjot
- bcond: faces
- cut changelog

Revision 1.97  2003/05/27 14:53:17  erjot
- up to 0.9.1

Revision 1.96  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.95  2003/05/25 06:27:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/
